Subject: Re: bug#2148: Re: In shell mode, comint-send-input seems to cut off at 254 characters

From: Alan J Third <[email-masked]>
Date: Wed, 13 Jan 2016 20:50:26 +0000

Alan J Third <[email-masked]> writes:

> Chong Yidong <[email-masked]> writes:
>
>> The ^D is sent in process.c:5781.  If we are splitting a string into
>> chunks for sending to the process, Emacs puts in an EOF (C-d) to "force
>> it through".
>>
>> I can't think of any fix, off the top of my head.  Stefan, can you?  If
>> not, we could simply document this limitation in PROBLEMS.
>
> I can't replicate this in Emacs 25 (or Emacs 24.5) on OS X, and I can't find the code
> described above in the source, or at least in send_process. Can someone
> who knows their way around better than me please confirm whether the
> offending code has been removed, please?

OK, this code is no longer in Emacs. It was removed sometime in the life
of Emacs 24:

commit 2b0a91e78f83fb446cc38efb99399e83ad2cded3
Author: Stefan Monnier <[email-masked]>
Date:   Mon Apr 12 22:07:48 2010 -0400

    Try to solve the problem of spurious EOF chars in long lines of text
    sent to interactive subprocesses.
    * sysdep.c (child_setup_tty): Do not enable ICANON any more.
    (system_process_attributes): Remove unused var `ttotal'.
    * process.c (send_process): Don't bother breaking long line with EOF
    chars when talking to ttys any more.
    (wait_reading_process_output): Output a warning when called in such
    a way that it could block without being interruptible.

So I believe we can close this bug.
-- 
Alan Third